# indieweb-webmention

CLI tool for sending and parsing Webmentions.

## Commands

- `discover` - Find webmention endpoint for a URL
- `send` - Send a webmention from source to target
- `parse` - Process incoming webmention
- `ptd` - Detect post type using PTD algorithm

## Install

    cargo install indieweb-webmention

## Usage

    webmention discover https://example.com/post
    webmention send https://mysite.com/post https://example.com/post
    webmention ptd https://source.com https://target.com
